# Contributing

Thank you for your interest in contributing to CyMaIS! We welcome contributions from the community to help improve and enhance this project. Your input makes the project stronger and more adaptable to a wide range of IT infrastructure needs.

## How to Contribute

There are several ways you can help:
- **Reporting Issues:** Found a bug or have a feature request? Please open an issue on our [GitHub Issues page](https://github.com/kevinveenbirkenbach/cymais/issues) with a clear description and steps to reproduce the problem.
- **Code Contributions:** If you'd like to contribute code, fork the repository, create a new branch for your feature or bug fix, and submit a pull request. Ensure your code adheres to our coding style and includes tests where applicable.
- **Documentation:** Improving the documentation is a great way to contribute. Whether it's clarifying an existing section or adding new guides, your contributions help others understand and use CyMaIS effectively.
- **Financial Contributions:** If you appreciate CyMaIS and want to support its ongoing development, consider making a financial contribution. For more details, please see our [donate options](12_DONATE.md).

## Code of Conduct

All contributors are expected to adhere to our [Code of Conduct](CODE_OF_CONDUCT.md). Please review it to ensure that our community remains welcoming and respectful.

## Pull Request Guidelines

Before submitting a pull request, please ensure that:
- Your code is well-documented and follows the project's coding standards.
- All tests pass and, if necessary, new tests are added to cover your changes.
- The commit messages are clear and descriptive.
- The relevant documentation is updated to reflect your changes.

## Reporting Issues

When reporting an issue, please include:
- A descriptive title and detailed explanation.
- Steps to reproduce the issue.
- Information about your environment (e.g., operating system, Docker version, Ansible version, etc.).
- Any relevant logs or error messages.

## Coding Style

Please follow these guidelines when contributing code:
- Write clean, readable code that integrates with the existing codebase.
- Use descriptive names for variables and functions.
- Comment your code where necessary, especially in complex sections.
- Format your code according to the project's style guidelines.

## License and Commercial Use

CyMaIS is primarily designed for private use. Commercial use of CyMaIS is not permitted without a proper licensing agreement. By contributing to this project, you agree that your contributions will be licensed under the same terms as the rest of the project.

## Getting Started

1. **Fork** the repository on GitHub.
2. **Clone** your fork to your local machine.
3. **Create** a new branch for your feature or bug fix.
4. **Implement** your changes and commit them with clear messages.
5. **Push** your branch to GitHub and open a pull request.

## Community and Support

If you have any questions or need help, feel free to open an issue or join our community discussions. We appreciate your efforts and are here to support you.

Thank you for contributing to CyMaIS and helping us build a better, more efficient IT infrastructure solution!
