# Migration Feature

## Seamless Migration of Existing Software Solutions to CyMaIS

CyMaIS is designed to simplify the migration of existing software solutions and IT infrastructures. The focus is on protecting existing investments while enabling the benefits of a modern and unified platform.

---

## Integration of Existing Applications

Existing applications can be easily integrated into the [CyMaIS](https://example.com) dashboard. There is no need to migrate or modify existing software — CyMaIS provides a central interface to access and manage already deployed systems.

---

## Parallel Operation of Existing Infrastructure

CyMaIS supports a parallel operation model, allowing the existing IT infrastructure to run alongside CyMaIS without disruption. This enables a step-by-step migration strategy where applications and user groups can be transitioned gradually.

---

## Flexible User Management and Single Sign-On (SSO)

CyMaIS offers flexible user management by supporting multiple directory services:

- [Microsoft Active Directory (AD)](https://en.wikipedia.org/wiki/Active_Directory)
- [LDAP (Lightweight Directory Access Protocol)](https://en.wikipedia.org/wiki/Lightweight_Directory_Access_Protocol)

In both scenarios, centralized authentication is provided through [Keycloak](https://www.keycloak.org/), enabling modern [Single Sign-On (SSO)](https://en.wikipedia.org/wiki/Single_sign-on) capabilities — not only for applications managed by CyMaIS but also for existing external services.

---

## Key Points

- Simple migration of existing software solutions
- Integration of existing apps into dashboard 
- Parallel operation of CyMaIS and existing infrastructure is fully supported  
- User management via [Active Directory](https://en.wikipedia.org/wiki/Active_Directory) or [LDAP](https://en.wikipedia.org/wiki/Lightweight_Directory_Access_Protocol)  
- Central authentication with [SSO](https://en.wikipedia.org/wiki/Single_sign-on) using [Keycloak](https://www.keycloak.org/)  

---

## Summary of Migration Benefits

| Feature                         | Description                                                       |
|--------------------------------|-------------------------------------------------------------------|
| Easy Application Integration   | Integrate existing applications into the CyMaIS dashboard         |
| Parallel Operation Supported   | Continue using your current infrastructure without disruption     |
| Flexible User Management       | Support for AD and LDAP directory services                        |
| Single Sign-On (SSO)           | Centralized authentication via Keycloak                           |

---

CyMaIS enables a smooth and controlled migration path — customized to the individual needs of your organization.