# User Guide

Welcome to **CyMaIS**! This guide is designed for **end-users** who want to use cloud services, email, and collaboration tools securely and efficiently. Whether you're an **enterprise user** or an **individual**, CyMaIS provides a wide range of services tailored to your needs.

## What Can CyMaIS Do for You? 💡
CyMaIS enables you to securely and efficiently use a variety of **cloud-based applications**, including:

### 📂 Cloud Storage & File Sharing
- **Nextcloud** – Securely store, sync, and share files across devices.
- **OnlyOffice** – Work on documents, spreadsheets, and presentations directly within Nextcloud.
- **LibreOffice** – A powerful office suite alternative to Microsoft Office.

### 💬 Secure Communication & Collaboration
- **Matrix (Element)** – Encrypted messaging for teams and individuals.
- **XMPP** – Secure instant messaging with various supported clients.
- **Mailu** – A private, self-hosted email solution.
- **Etherpad** – Real-time collaborative document editing.
- **BigBlueButton** – Web conferencing with screen sharing and presentations.
- **Jitsi** – Secure video conferencing without account requirements.

### 🎵 Social Media & Content Sharing
- **Mastodon** – Decentralized microblogging platform (alternative to Twitter/X).
- **Pixelfed** – Decentralized image sharing (alternative to Instagram).
- **Friendica** – Social network supporting federation with Mastodon and others.
- **Peertube** – Decentralized video streaming platform (alternative to YouTube).
- **Funkwhale** – Self-hosted music streaming for individuals and communities.

### 🎮 Entertainment & Media
- **Jellyfin** – Open-source media server for movies, TV, and music.
- **Kodi** – Media center application with extensive plugin support.
- **qBittorrent** – Open-source torrent client with secure remote access.

### 🔒 Privacy & Security
- **WireGuard** – Secure and fast VPN solution.
- **Tor Browser** – Browse the web anonymously and bypass censorship.
- **Bitwarden** – Open-source password manager for secure credential storage.
- **2FA Authentication** – Securely log in to your services with Two-Factor Authentication.

### 🔧 Developer & Productivity Tools
- **Gitea** – Self-hosted Git repository management (alternative to GitHub/GitLab).
- **Jenkins** – Automate software development pipelines.
- **Discourse** – Community discussion forums for support and engagement.
- **MediaWiki** – Create and manage knowledge bases and wikis.

## 🏢 Enterprise Users
### How to Get Started 🏁
If your organization provides CyMaIS services, follow these steps:
- Your **administrator** will provide login credentials.
- Access **cloud services** via a web browser or mobile apps.
- For support, contact your **system administrator**.

## 🏠 Private Users
### How to Get Started 🏁
If you're an **individual user**, you can sign up for CyMaIS services:
- **Register an account** at [cymais.cloud](https://cymais.cloud).
- Choose the applications and services you need.
- Follow the setup guide and start using CyMaIS services immediately.

## 📚 Learn More
Discover more about CyMaIS applications:
- :doc:`roles/application_glosar`
- :doc:`roles/application_categories`

For further information, visit our **[Information Hub](https://hub.cymais.cloud)** for tutorials, FAQs, and community support.

You can also register for updates and support from our community.
