# Backup Provider

## Description

This role sets up and manages the host as a backup provider. It establishes the framework for secure backup operations and integrates with other roles to facilitate reliable backup data management.

## Overview

Optimized for automated backup processes, this role:
- Configures the host to provide backup services.
- Integrates seamlessly with the [backup-provider-user](../backup-provider-user/README.md) and [cleanup-backups-timer](../cleanup-backups-timer/README.md) roles.
- Lays the foundation for secure and extensible backup operations.

## Purpose

The primary purpose of this role is to enable the host to act as a backup provider, ensuring that backup data is securely stored and managed. Future enhancements will include full system backup capabilities.

## Features

- **Backup Framework:** Establishes the necessary configuration for hosting backups.
- **Role Integration:** Works in conjunction with related roles to provide a comprehensive backup solution.
- **Extensibility:** Designed to accommodate future features, such as full system backups.

## Todo

- Add full system backup functionality.

## See Also

- [Chroot SFTP Setup](https://www.thegeekstuff.com/2012/03/chroot-sftp-setup/)
- [Rsync over SFTP without an SSH Shell](https://serverfault.com/questions/135618/is-it-possible-to-use-rsync-over-sftp-without-an-ssh-shell)
- [SFTP SSH Backups with Added Security](https://forum.duplicati.com/t/sftp-ssh-backups-to-a-linux-server-with-added-security/7334)
- [Chrootd Rsync Setup](https://serverfault.com/questions/287578/trying-to-setup-chrootd-rsync)
- [Using Rsync with SSH](http://ramblings.narrabilis.com/using-rsync-with-ssh)
- [Rsync on Arch Linux](https://wiki.archlinux.org/index.php/rsync)
