# GNOME Desktop

## Description

This role aggregates various GNOME desktop components to ensure a cohesive and fully functional GNOME environment on Arch Linux. It includes the installation and configuration of several sub-roles:
- **client-gnome-caffeine:** Prevents the system from sleeping or locking automatically.
- **client-gnome-extensions:** Manages GNOME Shell extensions and installs the CLI GNOME Extension Manager.
- **client-gnome-terminal:** Installs GNOME Terminal, the official terminal emulator for GNOME.

## Purpose

The purpose of this role is to provide a complete GNOME desktop experience by orchestrating multiple sub-roles. This simplifies deployment and management by ensuring that all key components are installed and configured in a consistent, system-wide manner.

## Features

- Aggregates multiple GNOME-related roles into one cohesive setup.
- Installs and configures caffeine-ng to keep the desktop active.
- Manages GNOME Shell extensions and integrates the CLI GNOME Extension Manager.
- Installs GNOME Terminal for a robust command-line interface.
- Ensures a seamless and uniform GNOME environment on Arch Linux.

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [www.veen.world](https://www.veen.world)

License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)