# LibreOffice

## Description

This role installs LibreOffice on Arch Linux systems using the Pacman package manager. In addition, it installs the Liberation fonts (ttf-liberation) and language packs corresponding to your chosen LibreOffice flavor. LibreOffice is a powerful and free office suite that provides a comprehensive set of tools for document processing, spreadsheets, presentations, and more.

Learn more about LibreOffice on the [official website](https://www.libreoffice.org).

## Purpose

The purpose of this role is to automate the installation and configuration of LibreOffice along with its language support on personal computers. This ensures that users have a consistent and fully functional office suite environment across their systems.

## Features

- **Automated Installation:** Installs LibreOffice along with Liberation fonts and additional language packages using Pacman.
- **Customizable Flavor:** Supports installation of different LibreOffice flavors by dynamically setting the package name.
- **Language Support:** Iterates through a list of desired language packages to ensure comprehensive localization.
- **Seamless Integration:** Designed to work within a larger system setup environment, integrating with dependencies such as Hunspell for spell checking.

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [www.veen.world](https://www.veen.world)  
License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
