# Bluesky

## Description

Soar to new digital heights with Bluesky, an innovative platform that reimagines social networking with its forward-thinking, community-driven approach. Experience a burst of energy, creativity, and the freedom to connect in a truly inspiring way.

## Overview

This role deploys Bluesky using Docker Compose. It sets up the personal data server (PDS) and the social web service, configures multiple domains via Nginx, downloads and extracts the pdsadmin tool for administration, and clones the social app repository to build a fully orchestrated container environment for Bluesky.

## Installation

For DNS configuration and other setup details, please refer to [Installation.md](./Installation.md).

## Features

- **Decentralized Social Networking:** Engage in a community-driven social platform that prioritizes data ownership and privacy.
- **Innovative Community Moderation:** Utilize advanced tools for managing content and maintaining healthy discussions.
- **Scalable Infrastructure:** Leverage a Dockerized deployment that adapts to growing workloads efficiently.
- **Real-Time Content Delivery:** Enjoy dynamic and instantaneous updates for a modern social experience.
- **Developer-Friendly API:** Integrate with external systems and extend functionalities through a robust set of APIs.

## Additional Resources

- [Self-hosting Bluesky with Docker and SWAG](https://therobbiedavis.com/selfhosting-bluesky-with-docker-and-swag/)
- [Notes on Self-hosting Bluesky PDS with Other Services](https://cprimozic.net/notes/posts/notes-on-self-hosting-bluesky-pds-alongside-other-services/)
- [Bluesky PDS GitHub Repository](https://github.com/bluesky-social/pds)
- [Social App Repository Discussion](https://chatgpt.com/c/678a2eb6-145c-800f-bf51-ff706981a928)
- [Bluesky Social YouTube Overview](https://www.youtube.com/watch?v=7_AG50u7D6c)
- [Bluesky PDS Issue #52](https://github.com/bluesky-social/pds/issues/52)
- [pdsadmin GitHub Repository](https://github.com/lhaig/pdsadmin)
- [Bluesky PDS Issue #147](https://github.com/bluesky-social/pds/issues/147)
- [OAuth Client Documentation](https://docs.bsky.app/docs/advanced-guides/oauth-client)

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [veen.world](https://www.veen.world).

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
Licensed under [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl).
