# Funkwhale

## Description

Dive into a world of rhythm and sound with [Funkwhale](https://www.funkwhale.audio/), an innovative self-hosted music sharing platform that celebrates creativity and community. Experience an energetic soundscape and seamless music streaming that amplifies your passion for tunes.

## Overview

This role deploys Funkwhale using Docker. It orchestrates multiple services—including the API, Frontend, Celery Worker, Celery Beat, and Typesense—integrating with centralized PostgreSQL and Redis services for a fully containerized music sharing experience.

For detailed usage and configuration, please refer to the [Administration.md](./Administration.md) file.

## Features

- **Self-hosted Music Sharing:** Enjoy a secure and private platform to share and stream your favorite tunes.
- **Scalable Service Architecture:** Leverage the robust orchestration of multiple services to power your Funkwhale instance.
- **Centralized Data Management:** Benefit from integrated PostgreSQL and Redis, ensuring smooth and efficient operation.
- **Customizable Media Handling:** Configure media roots, static assets, and music directories tailored to your deployment.
- **User-Friendly Configuration:** Manage your instance effortlessly using environment variables and Docker Compose templates.

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [veen.world](https://www.veen.world).

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
Licensed under [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl).
