# Joomla CMS

## Description

Elevate your website management with [Joomla](https://www.joomla.org/), a powerful content management system that fuses versatility with dynamic design. Experience a vibrant platform that inspires creativity and drives your digital presence to new, energetic heights.

## Overview

This role deploys Joomla using Docker, automating the installation and configuration of your Joomla instance. It integrates with an external PostgreSQL database and sets up an Nginx reverse proxy for secure access, streamlining website management through container orchestration and customizable Ansible variables.

For detailed administration procedures, please refer to the [Administration.md](./Administration.md) file.

## Features

- **Powerful Content Management:** Leverage Joomla's flexible system for dynamic website creation and management.
- **Containerized Deployment:** Benefit from Docker's efficiency to deploy and update your Joomla instance seamlessly.
- **Customizable Configuration:** Easily modify settings with environment variables and templated configuration files.
- **Integrated Database Support:** Utilize an external PostgreSQL database for robust data storage.
- **Nginx Reverse Proxy:** Ensure secure and efficient access to your Joomla instance.

## Additional Resources

- [Joomla Official Website](https://www.joomla.org/)

## Credits

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [veen.world](https://www.veen.world).

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
Licensed under [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl).