# Persona: Network Administrator🌐

## Description

This Ansible role installs core tools for network administrators and system engineers on Arch Linux. It focuses on diagnostics, protocol analysis, and connectivity testing in local and remote environments.

Learn more about Linux network tools on the [Arch Wiki - Network Tools](https://wiki.archlinux.org/title/Network_tools), [Wireshark Official Site](https://www.wireshark.org/), and [Traceroute](https://linux.die.net/man/8/traceroute).

## Overview

This role enhances the base `persona-administrator` role by adding tools specifically for analyzing, debugging, and monitoring network traffic and connectivity.

## Purpose

Designed for system and network administrators, this role provides quick access to powerful network tools, enabling efficient problem analysis and packet inspection.

## Features

- **Installs Network Utilities:** Includes `traceroute`, `wireshark-qt`, and `wireshark-cli`.
- **Packet Analysis Ready:** GUI and CLI tools for inspecting and decoding network traffic.
- **Persona Integration:** Extends the core administrator persona for network-focused tasks.

## Credits 📝

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [www.veen.world](https://www.veen.world)

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
