# Persona: Developer 👨‍💻

## Description

This Ansible role provides a minimal development environment for software engineers on Arch Linux. It installs core tools and editors necessary to begin building, editing, and managing source code projects.

Learn more about development environments on [Visual Studio Code](https://code.visualstudio.com/), the [Arch Wiki - Development Tools](https://wiki.archlinux.org/title/Development_tools), and general [Software Engineering](https://en.wikipedia.org/wiki/Software_engineering) on Wikipedia.

## Overview

This role builds upon the system administration and package management roles to deliver a clean, editor-ready base for developers. It ensures that essential developer tooling is ready to go.

## Purpose

To reduce setup time and ensure consistency across developer workstations, this role prepares a functional and extensible foundation for software engineering work.

## Features

- **Installs Visual Studio Code:** A powerful code editor with a wide plugin ecosystem.
- **Extensible Design:** Acts as a base layer for more specific development stacks (e.g., web, Python, embedded).
- **Persona Integration:** Extends the `persona-administrator` for technical users with a development focus.

## Credits 📝

Developed and maintained by **Kevin Veen-Birkenbach**.  
Learn more at [www.veen.world](https://www.veen.world)

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
