# Gamer Core 🧩

## Description

This Ansible role installs core gaming utilities and performance tools on Arch Linux systems. It includes essential software like [Steam](https://store.steampowered.com/), [Lutris](https://lutris.net/), [Wine](https://www.winehq.org/), [GameMode](https://github.com/FeralInteractive/gamemode), and [MangoHUD](https://github.com/flightlessmango/MangoHud).

## Overview

Focused on native and Windows-compatible game support, this role equips systems with the necessary runtimes, drivers, and enhancements for high-performance gaming. It complements other persona-gamer roles such as `retro` and `default` to provide a full gaming setup.

## Purpose

To automate the installation of foundational gaming tools and system enhancements, ensuring consistent and fast configuration across setups.

## Features

- **Steam & Lutris:** Popular game launchers for Linux and Windows titles.
- **Wine Runtime:** Provides compatibility for Windows-based games.
- **GameMode & MangoHUD:** Performance tuning and live system metrics.
- **Multilib & 32-bit Support:** Required for compatibility layers.

## Included Tools

| Tool        | Description |
|-------------|-------------|
| [Steam](https://store.steampowered.com/) | Native Linux and Proton-powered game launcher |
| [Lutris](https://lutris.net/) | Unified gaming platform for native and emulated games |
| [Wine](https://www.winehq.org/) | Compatibility layer for Windows games |
| [GameMode](https://github.com/FeralInteractive/gamemode) | Performance daemon by Feral Interactive |
| [MangoHUD](https://github.com/flightlessmango/MangoHud) | Vulkan/OpenGL performance overlay |

## Credits 📝

Developed and maintained by **Kevin Veen-Birkenbach**  
Learn more at [www.veen.world](https://www.veen.world)

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
