# Gamer Default 🎮

## Description

This Ansible role installs a curated collection of open source and community-friendly games on Arch Linux systems. It is ideal for setting up a fun and accessible default gaming environment.

## Overview

Focused on simplicity and fun, this role brings a mix of strategy, racing, action, and retro-inspired games to your system. All games are sourced from official Arch repositories and require no proprietary services.

## Purpose

The purpose of this role is to quickly populate a gaming system with high-quality open source titles. This is great for shared systems, offline setups, or just discovering classic FOSS games.

## Features

- **Installs Fun Games:** From real-time strategy to racing and chess.
- **No DRM or Accounts Needed:** All games work offline.
- **Fast Setup:** Uses the official Arch repositories via `pacman`.

## Included Games

- 🏛 [**0 A.D.**](https://play0ad.com) – Open-source RTS in the spirit of Age of Empires  
- 🛰 [**Warzone 2100**](https://wz2100.net) – Real-time strategy with tech trees and post-apocalyptic theme  
- 🏁 [**SuperTuxKart**](https://supertuxkart.net) – Cartoon kart racer with power-ups and multiplayer  
- ♟ [**GNU Chess**](https://www.gnu.org/software/chess/) – Classic chess engine with CLI or GUI support  
- 🔫 [**Sauerbraten**](https://sauerbraten.org) – Fast-paced old-school FPS with LAN and map editor  
- 🍄 [**Mari0**](https://stabyourself.net/mari0/) – Mashup of Super Mario Bros and Portal mechanics

## Credits 📝

Developed and maintained by **Kevin Veen-Birkenbach**  
Learn more at [www.veen.world](https://www.veen.world)

Part of the [CyMaIS Project](https://github.com/kevinveenbirkenbach/cymais)  
License: [CyMaIS NonCommercial License (CNCL)](https://s.veen.world/cncl)
