# Update Pacman

## Description

This role updates the package cache and upgrades installed packages on Arch Linux systems using [pacman](https://wiki.archlinux.org/title/Pacman).

## Overview

Optimized for Arch Linux, this role uses pacman to refresh the package cache and upgrade all installed packages to their latest available versions. It automates system updates to ensure that the system remains secure and up-to-date with the latest software improvements and security patches.

## Purpose

The primary purpose of this role is to streamline system maintenance on Arch Linux systems. By automating the package update process, it helps maintain system stability and security without manual intervention.

## Features

- **Package Cache Refresh:** Automatically updates the pacman cache to retrieve the latest package lists.
- **Full System Upgrade:** Upgrades all installed packages to the latest versions.
- **Arch Linux Focused:** Specifically tailored for Arch Linux environments using pacman.
